## org.springframework.mock.web.portlet
Class MockClientDataRequest

    java.lang.Object
      org.springframework.mock.web.portlet.MockPortletRequest
          org.springframework.mock.web.portlet.MockClientDataRequest

All Implemented Interfaces:
  javax.portlet.ClientDataRequest, javax.portlet.PortletRequest

Direct Known Subclasses:
  MockActionRequest, MockResourceRequest

    public class MockClientDataRequest

extends MockPortletRequest
implements javax.portlet.ClientDataRequest

Mock implementation of the `ClientDataRequest` interface.

Since:
  3.0
Author:
  Juergen Hoeller

Nested Class Summary

Nested classes/interfaces inherited from interface javax.portlet.PortletRequest
`javax.portlet.PortletRequest.P3PUserInfos`

Field Summary

Fields inherited from interface javax.portlet.PortletRequest
`ACTION_PHASE, ACTION_SCOPE_ID, BASIC_AUTH, CCPP_PROFILE, CLIENT_CERT_AUTH, DIGEST_AUTH, EVENT_PHASE, FORM_AUTH, LIFECYCLE_PHASE, RENDER_HEADERS, RENDER_MARKUP, RENDER_PART, RENDER_PHASE, RESOURCE_PHASE, USER_INFO`

Constructor Summary
`MockClientDataRequest()` Create a new MockClientDataRequest with a default `MockPortalContext` and a default `MockPortletContext`.
`MockClientDataRequest(javax.portlet.PortalContext portalContext, javax.portlet.PortletContext portletContext)` Create a new MockClientDataRequest.
`MockClientDataRequest(javax.portlet.PortletContext portletContext)` Create a new MockClientDataRequest with a default `MockPortalContext`.

Method Summary
`String` `getCharacterEncoding()`
`int` `getContentLength()`
`String` `getContentType()`
`String` `getMethod()`
`InputStream` `getPortletInputStream()`
`BufferedReader` `getReader()`
`void` `setCharacterEncoding(String characterEncoding)`
`void` `setContent(byte[] content)`
`void` `setContentType(String contentType)`
`void` `setMethod(String method)`

Methods inherited from class org.springframework.mock.web.portlet.MockPortletRequest

`addLocale, addParameter, addParameter, addPreferredLocale, addPreferredResponseContentType, addProperty, addResponseContentType, addUserRole, checkActive, close, getAttribute, getAttributeNames, getAuthType, getContextPath, getCookies, getLifecyclePhase, getLocale, getLocales, getParameter, getParameterMap, getParameterNames, getParameterValues, getPortalContext, getPortletMode, getPortletSession, getPortletSession, getPreferences, getPrivateParameterMap, getProperties, getProperty, getPropertyNames, getPublicParameterMap, getRemoteUser, getRequestedSessionId, getResponseContentType, getResponseContentTypes, getScheme, getServerName, getServerPort, getUserPrincipal, getWindowID, getWindowState, isActive, isPortletModeAllowed, isRequestedSessionIdValid, isSecure, isUserInRole, isWindowStateAllowed, registerPublicParameter, removeAttribute, setAttribute, setAuthType, setContextPath, setCookies, setParameter, setParameter, setParameters, setPortletMode, setPreferences, setProperty, setRemoteUser, setRequestedSessionIdValid, setScheme, setSecure, setServerName, setServerPort, setSession, setUserPrincipal, setWindowID, setWindowState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.portlet.PortletRequest

`getAttribute, getAttributeNames, getAuthType, getContextPath, getCookies, getLocale, getLocales, getParameter, getParameterMap, getParameterNames, getParameterValues, getPortalContext, getPortletMode, getPortletSession, getPortletSession, getPreferences, getPrivateParameterMap, getProperties, getProperty, getPropertyNames, getPublicParameterMap, getRemoteUser, getRequestedSessionId, getResponseContentType, getResponseContentTypes, getScheme, getServerName, getServerPort, getUserPrincipal, getWindowID, getWindowState, isPortletModeAllowed, isRequestedSessionIdValid, isSecure, isUserInRole, isWindowStateAllowed, removeAttribute, setAttribute`

Constructor Detail

### MockClientDataRequest

    public MockClientDataRequest()

  Create a new MockClientDataRequest with a default `MockPortalContext` and a default `MockPortletContext`.

  See Also:
    `MockPortalContext`, `MockPortletContext`

### MockClientDataRequest

    public MockClientDataRequest(javax.portlet.PortletContext portletContext)

  Create a new MockClientDataRequest with a default `MockPortalContext`.

  Parameters:
    `portletContext` - the PortletContext that the request runs in

### MockClientDataRequest

    public MockClientDataRequest(javax.portlet.PortalContext portalContext,
                                 javax.portlet.PortletContext portletContext)

  Create a new MockClientDataRequest.

  Parameters:
    `portalContext` - the PortalContext that the request runs in
    `portletContext` - the PortletContext that the request runs in

Method Detail

### setContent

    public void setContent(byte[] content)

### getPortletInputStream

    public InputStream getPortletInputStream()
                                      throws IOException

  Specified by:
    `getPortletInputStream` in interface `javax.portlet.ClientDataRequest`
  Throws:
    `IOException`

### setCharacterEncoding

    public void setCharacterEncoding(String characterEncoding)

  Specified by:
    `setCharacterEncoding` in interface `javax.portlet.ClientDataRequest`

### getReader

    public BufferedReader getReader()
                             throws UnsupportedEncodingException

  Specified by:
    `getReader` in interface `javax.portlet.ClientDataRequest`
  Throws:
    `UnsupportedEncodingException`

### getCharacterEncoding

    public String getCharacterEncoding()

  Specified by:
    `getCharacterEncoding` in interface `javax.portlet.ClientDataRequest`

### setContentType

    public void setContentType(String contentType)

### getContentType

    public String getContentType()

  Specified by:
    `getContentType` in interface `javax.portlet.ClientDataRequest`

### getContentLength

    public int getContentLength()

  Specified by:
    `getContentLength` in interface `javax.portlet.ClientDataRequest`

### setMethod

    public void setMethod(String method)

### getMethod

    public String getMethod()

  Specified by:
    `getMethod` in interface `javax.portlet.ClientDataRequest`